BearSSL

br_x509_decoder_context Struct Reference

X.509 decoder context. More...

`#include <bearssl_x509.h>`

## Detailed Description

X.509 decoder context.

This structure is not for X.509 validation, but for extracting names and public keys from encoded certificates. Intended usage is to use (self-signed) certificates as trust anchors.

Contents are opaque and shall not be accessed directly.

The documentation for this struct was generated from the following file:

- bearssl_x509.h